<?php
/**
 * Copyright (C) 2019 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */

use Zend\Form\Element\Collection;
use Zend\Form\Element\Hidden;
use Zend\Form\Element\Text;
use Zend\Form\Fieldset;

return [
    'spec' => [
        'name'    => 'addresses',
        'type'    => Collection::class,
        'options' => [
            'count'          => 0,
            'target_element' => [
                'type'     => Fieldset::class,
                'elements' => [
                    'id' => [
                        'spec' => [
                            'name' => 'id',
                            'type' => Hidden::class,
                        ],
                    ],
                    'line1'   => [
                        'spec' => [
                            'name'    => 'line1',
                            'type'    => Text::class,
                            'options' => [
                                'label' => 'label_address_line_1',
                            ]
                        ],
                    ],
                    'line2'   => [
                        'spec' => [
                            'name'    => 'line2',
                            'type'    => Text::class,
                            'options' => [
                                'label' => 'label_address_line_2',
                            ]
                        ],
                    ],
                    'zip'     => [
                        'spec' => [
                            'name'    => 'zip',
                            'type'    => Text::class,
                            'options' => [
                                'label' => 'label_address_zip',
                            ]
                        ],
                    ],
                    'city'    => [
                        'spec' => [
                            'name'    => 'city',
                            'type'    => Text::class,
                            'options' => [
                                'label' => 'label_address_city',
                            ]
                        ],
                    ],
                    'country' => [
                        'spec' => [
                            'name'    => 'country',
                            'type'    => Text::class,
                            'options' => [
                                'label' => 'label_address_country',
                            ],
                        ],
                    ],
                ],
            ],
        ],
    ],
];
